QGIS Application - Bug report #12612
Composer Manager doesn't always update composers list when changing project
2015-04-20 12:29 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 20731
Description

Open a project with print composers

Open the composer manager dialog. You get the list of print composers.

Without closing this dialog, open an existing project (that doesn't contain print composer) or a new empty one
The print composers from the first project are still listed in the composer manager.

If you don't pay attention and try to open one of them, QGIS crashes.

tested on windows8, osgeo4w 32bits, qgis 2.8.1 and 2.9

Associated revisions

Revision 3530e4c2 - 2015-05-30 05:46 AM - Nyall Dawson
Correctly emit composerRemoved signal after removing composer
from print composers list, fixes composer manager showing
invalid old compositions when loading new project (fix #12612)
Revision 174943e2 - 2015-06-24 01:45 PM - Nyall Dawson
Correctly emit composerRemoved signal after removing composer
from print composers list, fixes composer manager showing

invalid old compositions when loading new project (fix #12612)

Cherry-picked from 3530e4c205b4cc3f426e16dde7636fb89e9b73d7

History

#1 - 2015-04-21 12:49 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2015-05-14 03:03 AM - Giovanni Manghi
- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-05-28 05:30 AM - Nyall Dawson
- Assignee set to Nyall Dawson

#4 - 2015-05-29 08:53 PM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"3530e4c205b4cc3f426e16dde7636fb89e9b73d7".
